SDO_DAS_XML::addTypes
SDO_DAS_XML::createDataObject
SDO DAS XML Functions
PHP Manual

# SDO_DAS_XML::create

To create SDO_DAS_XML object for a given schema file

### Description

SDO_DAS_XML SDO_DAS_XML::create ([ mixed `$xsd_file` [, string `$key` ]] )

This is the only static method of SDO_DAS_XML class. Used to instantiate SDO_DAS_XML object.

### Parameters

`xsd_file`

  Path to XSD Schema file. This is optional. If omitted a DAS will be created that only has the SDO base types defined. Schema files can then be loaded with the addTypes method. Can be string or array of values.

`key`

### Return Values

Returns SDO_DAS_XML object on success otherwise throws an exception as described below.

### Errors/Exceptions

`SDO_TypeNotFoundException`

  Thrown if a type is not defined in the underlying model.

`SDO_DAS_XML_ParserException`

  Thrown for any problems while parsing the given XSD File.

`SDO_DAS_XML_FileException`

  Thrown if the specified file cannot be found.